Bug 1787040 (CVE-2019-19746)

Summary: CVE-2019-19746 transfig: integer overflow leads to out-of-bounds write in make_arrow in arrow.c
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: databases-maint, hhorak, kasal, mschorm, odubaj, panovotn, tomm.momi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1787041, 1787042, 1795756, 1795757    
Bug Blocks: 1787043    

Description Guilherme de Almeida Suckevicz 2019-12-30 14:41:53 UTC
make_arrow in arrow.c in Xfig fig2dev 3.2.7b allows a segmentation fault and out-of-bounds write because of an integer overflow via a large arrow type.

Reference:
https://sourceforge.net/p/mcj/tickets/57/

Upstream commit:
https://sourceforge.net/p/mcj/fig2dev/ci/3065abc7b4f740ed6532322843531317de782a26/

Comment 1 Guilherme de Almeida Suckevicz 2019-12-30 14:43:24 UTC
Created xfig tracking bugs for this issue:

Affects: epel-7 [bug 1787042]
Affects: fedora-all [bug 1787041]

Comment 2 Hans de Goede 2020-01-15 19:48:45 UTC
fig2dev is part of transfig, not xfig.

I've update the Fedora tracking bug accordingly, EPEL does not appear to have transfig, so I believe that the EPEL tracking bug can be closed, but I'm leaving that up to you.

I'm also leaving any necessary updates to this bug (Summary?) up to you.

Comment 3 Guilherme de Almeida Suckevicz 2020-01-16 14:58:05 UTC
Thank you for this information.
I fixed the names for this bug and closed the EPEL as notabug, I will update the other bugs as well.